%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-attrs
Version:       23.1.0
Release:       1mamba
Summary:       Classes Without Boilerplate
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.attrs.org/en/stable/
Source:        https://pypi.debian.net/attrs/attrs-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: libpython-devel
Requires:      python >= %python_version

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n attrs-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%dir %{python_sitelib}/attr
%{python_sitelib}/attr/*
%doc LICENSE

%changelog
* Fri Dec 01 2023 Automatic Build System <autodist@mambasoft.it> 23.1.0-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 22.2.0-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Apr 07 2023 Sdk Build System <sdk@mambasoft.it> 22.2.0-2mamba
- rebuilt with python 3.10

* Thu Dec 22 2022 Automatic Build System <autodist@mambasoft.it> 22.2.0-1mamba
- automatic version update by autodist

* Fri Jul 29 2022 Automatic Build System <autodist@mambasoft.it> 22.1.0-1mamba
- automatic version update by autodist

* Tue Jan 11 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 21.4.0-1mamba
- update to 21.4.0

* Fri May 07 2021 Automatic Build System <autodist@mambasoft.it> 21.2.0-1mamba
- automatic version update by autodist

* Thu May 06 2021 Automatic Build System <autodist@mambasoft.it> 21.1.0-1mamba
- automatic version update by autodist

* Wed Mar 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20.3.0-2mamba
- rebuilt with distdeps

* Fri Nov 06 2020 Automatic Build System <autodist@mambasoft.it> 20.3.0-1mamba
- automatic version update by autodist

* Sun Sep 06 2020 Automatic Build System <autodist@mambasoft.it> 20.2.0-1mamba
- automatic version update by autodist

* Wed Oct 16 2019 Automatic Build System <autodist@mambasoft.it> 19.3.0-1mamba
- automatic version update by autodist

* Fri Oct 11 2019 Automatic Build System <autodist@mambasoft.it> 19.2.0-1mamba
- automatic version update by autodist

* Fri Mar 15 2019 Automatic Build System <autodist@mambasoft.it> 19.1.0-1mamba
- automatic version update by autodist

* Thu Jan 10 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 18.2.0-1mamba
- package created using the webbuild interface
